<?php

/*
 * Plugin Name: Easy Digital Downloads Putler Connector
 * Plugin URI: http://putler.com/connector/edd/
 * Description: Track Easy Digital Downloads transactions data with Putler. Insightful reporting that grows your business.
 * Version: 2.2
 * Author: putler, storeapps
 * Author URI: http://putler.com/
 * License: GPL 3.0
 */

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

function edd_putler_connector_pre_init() {

    // Simple check for EDD being active...
    if (class_exists('Easy_Digital_Downloads')) {

        // Init admin menu for settings etc if we are in admin
        if (is_admin()) {
            edd_putler_connector_init();
        }

        // If configuration not done, can't track anything...
        if (null != get_option('putler_connector_settings', null)) {
            // On these events, send order data to Putler
            add_action('edd_edit_payment', 'edd_putler_connector_post_order');
            add_action('edd_update_payment_status', 'edd_putler_connector_post_order');
        }
    }
}

add_action( 'plugins_loaded', 'edd_putler_connector_pre_init' );

function edd_putler_connector_init() {

    include_once 'classes/class.putler-connector.php';
    $GLOBALS['putler_connector'] = Putler_Connector::getInstance();

    include_once 'classes/class.putler-connector-edd.php';
    if (!isset($GLOBALS['edd_putler_connector'])) {
        $GLOBALS['edd_putler_connector'] = new EDD_Putler_Connector();
    }
}

function edd_putler_connector_post_order($order_id) {
    edd_putler_connector_init();
    if (method_exists($GLOBALS['putler_connector'], 'post_order')) {
        $GLOBALS['putler_connector']->post_order($order_id);
    }
}
